#include <stdio.h>
#include "pslib.h"

bool psRegionIsBad(const psRegion region)
{
    return isnan(region.x0) || isnan(region.x1) || isnan(region.y0) || isnan(region.y1);
}

bool psRegionIsNaN (psRegion region)
{

    if (!isfinite(region.x0))
        return true;
    if (!isfinite(region.x1))
        return true;
    if (!isfinite(region.y0))
        return true;
    if (!isfinite(region.y1))
        return true;
    return false;
}
